# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8

#inherit git-r3

# Short one-line description of this package.
DESCRIPTION="Intel staging area for llvm.org contribution. Home for Intel LLVM-based projects"

HOMEPAGE="https://github.com/intel/llvm"

SRC_URI="${HOMEPAGE}/releases/download/v${PV}/sycl_linux.tar.gz -> ${P}.tar.gz"

S="${WORKDIR}"
LICENSE="Apache2.0"
SLOT="0"

KEYWORDS="~amd64"

IUSE=""

#RESTRICT="strip"

RDEPEND="
"
DEPEND="
	${RDEPEND}
"
BDEPEND="virtual/pkgconfig"

#src_unpack() {
#
#}

#src_configure() {
	#econf
#}

#src_compile() {
	#emake
#}

src_install() {
	insinto "/opt/${PN}/"
	for dir in ${S}/* ; do
		doins -r $dir
	done
	fperms +x /opt/intel-llvm/bin/*
	dosym /opt/intel-llvm/bin/clang   /bin/icx
	dosym /opt/intel-llvm/bin/clang++ /bin/icpx
}
